Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155842 - ConfPAP.py:86:initvars:IndexError: list index out of range
Summary: ConfPAP.py:86:initvars:IndexError: list index out of range
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-24 15:21 UTC by Ken Sheldon
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-16 14:11:48 UTC


Attachments (Terms of Use)

Description Ken Sheldon 2005-04-24 15:21:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
Component: system-config-network
Version: 1.3.22
Summary: TB40cc7661 ConfPAP.py:86:initvars:IndexError: list index out of range
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 166, in main
    window = mainDialog()
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 261, in __init__
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 293, in load
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 301, in loadDevices
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 294, in getDeviceList
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 80, in load
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/plugins/NCDevModem.py", line 36, in load
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/NCDialup.py", line 510, in load
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/NCDialup.py", line 127, in load
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/NC_functions.py", line 297, in getPAPConf
  File "/usr/lib/python2.3/site-packages/rhpl/ConfPAP.py", line 33, in __init__
    Conf.Conf.__init__(self, filename, '#', ' \t', ' \t')
  File "/usr/lib/python2.3/site-packages/rhpl/Conf.py", line 181, in __init__
    self.read()
  File "/usr/lib/python2.3/site-packages/rhpl/ConfPAP.py", line 38, in read
    self.initvars()
  File "/usr/lib/python2.3/site-packages/rhpl/ConfPAP.py", line 86, in initvars
    self.vars[var[0]][var[1]] = var[2]
IndexError: list index out of range

Local variables in innermost frame:
var: ['', 'tmobile']
self: <rhpl.ConfPAP.ConfPAP instance at 0xb7a6542c>


Version-Release number of selected component (if applicable):
system-config-network-1.3.22-1

How reproducible:
Always

Steps to Reproduce:
This occurs whenever I run 
system-config-network  
or
system-config-network-tui

  


Actual Results:  GUI box:
"An unhandled exception has occurred..."



Expected Results:  Start the GUI

Additional info:

Comment 1 Harald Hoyer 2005-04-25 12:33:47 UTC
Please check you /etc/ppp/chap and /etc/ppp/pap files for the correct syntax.

Comment 2 Harald Hoyer 2005-09-16 14:11:48 UTC
CANTFIX without more information, closed due to inactivity.


Note You need to log in before you can comment on or make changes to this bug.